.rtop,.rbottom {
    display: block;
}
.rtop *,.rbottom * {
    display: block;
    height: 1px;
    overflow: hidden; 
    font-size: 1px;
}

.rnl1{margin: 0 5px 0 0}
.rnl2{margin: 0 3px 0 0}
.rnl3{margin: 0 2px 0 0}
.rnl4{margin: 0 1px 0 0;height: 2px}

.rnr1{margin: 0 0 0 5px}
.rnr2{margin: 0 0 0 3px }
.rnr3{margin: 0 0 0 2px }
.rnr4{margin: 0 0 0 1px ;height: 2px}


.rnlnr1{margin: 0 }
.rnlnr2{margin: 0 }
.rnlnr3{margin: 0 }
.rnlnr4{margin: 0; height: 2px}


.r1{margin: 0 5px;}
.r2{margin: 0 3px;}
.r3{margin: 0 2px;}
.r4{margin: 0 1px;height: 2px;}


/*
.borderRight, .borderLeft, .borderBottom, .borderTop {
    border:1px none;
}
     
.borderRight{
    border-right:solid;
}
.borderLeft{
    border-left:solid;
}
.borderBottom{
    border-bottom:solid;
}
.borderTop{
    border-bottom:solid;
}
.borderColorRed{
    border:red;
}
*/
.ctop,.cbottom{display:block}
.ctop *,.cbottom *{display:block;height: 1px;overflow: hidden}

.cnl1{margin: 0 1px 0 0}
.cnl2{margin: 0 3px 0 0}
.cnl3{margin: 0 4px 0 0}
.cnl4{margin: 0 5px 0 0;height: 2px}

.cnr1{margin: 0 0 0 1px}
.cnr2{margin: 0 0 0 3px }
.cnr3{margin: 0 0 0 4px }
.cnr4{margin: 0 0 0 5px ;height: 2px}

.cnlnr1{margin: 0 }
.cnlnr2{margin: 0 }
.cnlnr3{margin: 0 }
.cnlnr4{margin: 0; height: 2px}

.c0{margin: 0  0px}
.c1{margin: 0 -1px}
.c2{margin: 0 -1px}
.c3{margin: 0 -3px}
.c4{margin: 0 -5px}
.c5{margin: 0 -9px}
.c6{margin: 0 -9px}



